<?php
/*=======================================================================================*\
|| ##################################################################################### ||
|| # vB Enterprise Translator (vBET) 2.4.0                                             # ||
|| # ----------------------------------------------------------------                  # ||
|| # Originally created by NLP-er (1.0.0)                                              # ||
|| # Copyright 2009 Michal Podbielski. All Rights Reserved.                            # ||
|| #                                                                                   # ||
|| # You may not redistribute this file or its derivatives without written permission. # ||
|| # http://www.vbenterprisetranslator.com/                                            # ||
|| ##################################################################################### ||
\*=======================================================================================*/
global $vbet_languagesMatch;
$vbet_languagesMatch ='af|sq|ar|be|bg|ca|zh-CN|hr|cs|da|nl|en|et|tl|fi|fr|gl|de|el|iw|hi|hu|is|id|ga|it|ja|ko|lv|lt|mk|ms|mt|no|fa|pl|pt|ro|ru|sr|sk|sl|es|sw|sv|zh-TW|th|tr|uk|vi|cy|yi';
function vbet_isReversedLanguage($language) {
return ($language == 'iw') || ($language == 'fa') || ($language == 'ar');
}
function vbet_handleTextDirection($language) {
global $vbulletin;
if (($vbulletin->options['vbenterprisetranslator_reversedirection'] == 'ltr') && vbet_isReversedLanguage($language)) {
vB_Template_Runtime::addStyleVar('textdirection', 'rtl');
vB_Template_Runtime::addStyleVar('left', 'right');
vB_Template_Runtime::addStyleVar('right', 'left');
} else if (($vbulletin->options['vbenterprisetranslator_reversedirection'] == 'rtl') && !vbet_isReversedLanguage($language)) {
vB_Template_Runtime::addStyleVar('textdirection', 'ltr');
vB_Template_Runtime::addStyleVar('left', 'left');
vB_Template_Runtime::addStyleVar('right', 'right');
}
}
function vbet_getRedirectionLanguage() {
if (isset($_SERVER["HTTP_ACCEPT_LANGUAGE"])) {
global $vbet_languagesMatch, $vbulletin;
$languages = strtolower( $_SERVER["HTTP_ACCEPT_LANGUAGE"] );
$languages = str_replace( ' ', '', $languages );
$languages = explode( ",", $languages );
$language = null;
foreach ($languages as $language) {
if ($index = strpos($language,';')) {
$language = substr($language, $index);
}
if ($language == $vbulletin->options['vbenterprisetranslator_forumlanguage'] || $language == $_REQUEST['language']) {
return null;
}
if (vbet_isLangSupported($language)) {
return $language;
}
}
return null;
}
}
function vbet_getSupportedTranslations() {
return array ("af"=>"Afrikaans","sq"=>"Albanian","ar"=>"Arabic", "be"=>"Belarusian","bg"=>"Bulgarian","ca"=>"Catalan","zh-CN"=>"Chinese","hr"=>"Croatian","cs"=>"Czech","da"=>"Danish","nl"=>"Dutch","en"=>"English","et"=>"Estonian","tl"=>"Filipino","fi"=>"Finnish","fr"=>"French","gl"=>"Galician","de"=>"German","el"=>"Greek","iw"=>"Hebrew","hi"=>"Hindi","hu"=>"Hungarian","is"=>"Icelandic","id"=>"Indonesian","ga"=>"Irish","it"=>"Italian","ja"=>"Japanese","ko"=>"Korean","lv"=>"Latvian","lt"=>"Lithuanian","mk"=>"Macedonian","ms"=>"Malay","mt"=>"Maltese","no"=>"Norwegian", "fa" => "Persian", "pl"=>"Polish","pt"=>"Portuguese","ro"=>"Romanian","ru"=>"Russian","sr"=>"Serbian","sk"=>"Slovak","sl"=>"Slovenian","es"=>"Spanish","sw"=>"Swahili","sv"=>"Swedish","zh-TW"=>"Taiwanese","th"=>"Thai","tr"=>"Turkish","uk"=>"Ukrainian","vi"=>"Vietnamese","cy"=>"Welsh","yi"=>"Yiddish");
}
function vbet_isLangOn($language) {
global $vbulletin;
$key = 'vbenterprisetranslator_flag_'.$language;
return ($vbulletin->bf_misc_vbenterprisetranslator_flags_options[$key]
&& ($vbulletin->options['vbenterprisetranslator_flags'] & $vbulletin->bf_misc_vbenterprisetranslator_flags_options[$key]))
||
($vbulletin->bf_misc_vbenterprisetranslator_flags_options_cd[$key]
&& ($vbulletin->options['vbenterprisetranslator_flags_cd'] & $vbulletin->bf_misc_vbenterprisetranslator_flags_options_cd[$key]))
||
($vbulletin->bf_misc_vbenterprisetranslator_flags_options_cd2[$key]
&& ($vbulletin->options['vbenterprisetranslator_flags_cd2'] & $vbulletin->bf_misc_vbenterprisetranslator_flags_options_cd2[$key]))
;
}
function vbet_isLangSupported($language) {
global $vbulletin;
return array_key_exists($language, vbet_getSupportedTranslations()) && vbet_isLangOn($language);
}
function vbet_getParamPrefix($address) {
global $vbulletin;
if (strstr($address,'?') && !strstr($address,'?language=')) {
return '&language=';
} else {
return '?language=';
}
}
function vbet_createURLForAddress($language, $address) {
global $vbulletin;
if($vbulletin->options['vbenterprisetranslator_translationlinkstype']) {
if ($index = strpos($address, 'index.php')) {
$address = str_replace('index.php','',$address);
}
if ($vbulletin->options['vbenterprisetranslator_forumdir'] && 0 === strpos($address, $vbulletin->options['vbenterprisetranslator_forumdir'])) {
$address = substr($address, strlen($vbulletin->options['vbenterprisetranslator_forumdir']));
return $vbulletin->options['vbenterprisetranslator_forumdir'].vbet_createURLForAddressSEO($language, $address);
}
return vbet_createURLForAddressSEO($language, $address);
}
return vbet_createURLForAddressOld($language, $address);
}
function vbet_createURLForAddressOld($language, $address) {
global $vbulletin;
$toReplace = null;
if ($language == $vbulletin->options['vbenterprisetranslator_forumlanguage']) {
$language = '';
}
if (strstr($address,'?language=')) {
$toReplace = '?language=';
} else if (strstr($address,'&language=')) {
$toReplace = '&language=';
}
if ($language=='') {
if ($toReplace) {
return str_replace($toReplace.@$_REQUEST['language'], '', $address);
}
if ($address) {
return $address;
}
return '/';
}
if ($toReplace) {
return str_replace($toReplace.@$_REQUEST['language'], '', $address) . vbet_getParamPrefix($address).$language;
}
return $address.vbet_getParamPrefix($address).$language;
}
/*=======================================================================================*\
THIS IS PART OF LICENSE AGREEMENT
using this mod you agree for those conditions:
- you are NOT allowed to remove credit link unless you donate NLP-er http://www.vbulletin.org/forum/member.php?u=267979
- removing credit link without donating vBET means BREAKING LICENSE AGREEMENT and you lose your rights to use this mod
- using it after that is illegal, it is software PIRACY and it will be notified in vBulletin community and other places,
including appropriate government/police units in your country
\*=======================================================================================*/
function vbenterprisetranslator_creditlink() {
if (!abs(crc32($_SERVER['REQUEST_URI']) % 2)) {
return vbenterprisetranslator_creditlink2();
}
global $vbulletin;
$address = 'http://www.forum.simple-nlp.pl/';
if ($_REQUEST['language']) {
$address .= $_REQUEST['language'].'/';
}
$links = array();
$links[] = 'vB Enterprise Translator (vBET 2.4.0) by <a rel="novbseo" href="'.$address.'">NLP-er</a>';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) by <a rel="novbseo" href="'.$address.'">NLP</a>-er';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">made by NLP-er</a>';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">made by NLP</a>-er';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">created by NLP-er</a>';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">created by NLP</a>-er';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">coded by NLP-er</a>';
$links[] = 'vB Enterprise Translator (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">coded by NLP</a>-er';
$links[] = 'Thanks to <a rel="novbseo" href="'.$address.'">NLP-er enjoy</a> automatic translations (vBET 2.4.0)';
$links[] = 'Thanks to <a rel="novbseo" href="'.$address.'">NLP-er you enjoy</a> automatic translations (vBET 2.4.0)';
$links[] = 'Thanks to <a rel="novbseo" href="'.$address.'">NLP-er you can enjoy</a> automatic translations (vBET 2.4.0)';
$links[] = 'Automatic translations (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">delivered by NLP-er</a>';
$links[] = 'Automatic translations (vBET 2.4.0) <a rel="novbseo" href="'.$address.'">delivered by NLP</a>-er';
$links[] = 'Translated to other <a rel="novbseo" href="'.$address.'">languages thanks to NLP</a>-er 2.4.0';
$links[] = 'Translated to other <a rel="novbseo" href="'.$address.'">languages thanks to NLP-er</a> 2.4.0';
$links[] = 'Translated to <a rel="novbseo" href="'.$address.'">other languages thanks to NLP</a>-er 2.4.0';
$links[] = 'Translated to <a rel="novbseo" href="'.$address.'">other languages thanks to NLP-er</a> 2.4.0';
$index = abs(crc32($_SERVER['REQUEST_URI']) % sizeof($links));
return $links[$index];
}
function vbenterprisetranslator_creditlink2() {
global $vbulletin;
$address = 'http://www.vbenterprisetranslator.com/';
if ($_REQUEST['language']) {
$address .= $_REQUEST['language'].'/';
}
$titles = array();
$titles[] = 'vBulletin automatic translations supported by vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'vBulletin automatic translations made by vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'vBulletin automatic translations thanks to vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'vBulletin automatic translations supported by vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'vBulletin automatic translations made by vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'vBulletin automatic translations thanks to vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Translations for vBulletin supported by vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Translations for vBulletin supported by vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'Automatic translations for vBulletin supported by vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Automatic translations for vBulletin supported by vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'Translations for vBulletin made by vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Translations for vBulletin made by vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'Automatic translations for vBulletin made by vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Automatic translations for vBulletin made by vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'Translations for vBulletin thanks to vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Translations for vBulletin thanks to vB Enterprise Translator (vBET 2.4.0)';
$titles[] = 'Automatic translations for thanks to vBET - vB Enterprise Translator 2.4.0';
$titles[] = 'Automatic translations for thanks to vB Enterprise Translator (vBET 2.4.0)';
$title = $titles[abs(crc32($_SERVER['REQUEST_URI']) % sizeof($titles))];
$links = array();
$links[] = 'Translations by <a rel="novbseo" title="'.$title.'" href="'.$address.'">vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">by vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">made by vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">supported by vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">delivered by vB Enterprise Translator</a> 2.4.0';
$links[] = 'vBET 2.4.0 gives <a rel="novbseo" title="'.$title.'" href="'.$address.'">automatic translations</a>';
$links[] = 'vBET 2.4.0 <a rel="novbseo" title="'.$title.'" href="'.$address.'">gives automatic translations</a>';
$links[] = 'vBET 2.4.0 <a rel="novbseo" title="'.$title.'" href="'.$address.'">supports automatic translations</a>';
$links[] = 'vBET 2.4.0 <a rel="novbseo" title="'.$title.'" href="'.$address.'">brings automatic translations</a>';
$links[] = 'Integration with Google <a rel="novbseo" title="'.$title.'" href="'.$address.'">translations by vB Enterprise Translator</a> 2.4.0';
$links[] = 'Thanks to vBET 2.4.0 <a rel="novbseo" title="'.$title.'" href="'.$address.'">enjoy automatic translations</a>';
$links[] = 'Thanks to vBET 2.4.0 you <a rel="novbseo" title="'.$title.'" href="'.$address.'">can enjoy automatic translations</a>';
$links[] = 'Thanks to vBET 2.4.0 <a rel="novbseo" title="'.$title.'" href="'.$address.'">you can enjoy automatic translations</a>';
$links[] = 'Translated to other <a rel="novbseo" title="'.$title.'" href="'.$address.'">languages thanks to vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translated to <a rel="novbseo" title="'.$title.'" href="'.$address.'">other languages thanks to vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translated to other <a rel="novbseo" title="'.$title.'" href="'.$address.'">languages supported by vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translated to <a rel="novbseo" title="'.$title.'" href="'.$address.'">other languages supported by vB Enterprise Translator</a> 2.4.0';
$links[] = 'Translations by <a rel="novbseo" title="'.$title.'" href="'.$address.'">vBET translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">by vBET Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">made by vBET Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">supported by vBET Translator</a> 2.4.0';
$links[] = 'Translations <a rel="novbseo" title="'.$title.'" href="'.$address.'">delivered by vBET Translator</a> 2.4.0';
$links[] = 'Integration with Google <a rel="novbseo" title="'.$title.'" href="'.$address.'">translations by vBET Translator</a> 2.4.0';
$links[] = 'Translated to other <a rel="novbseo" title="'.$title.'" href="'.$address.'">languages thanks to vBET Translator</a> 2.4.0';
$links[] = 'Translated to <a rel="novbseo" title="'.$title.'" href="'.$address.'">other languages thanks to vBET Translator</a> 2.4.0';
$links[] = 'Translated to other <a rel="novbseo" title="'.$title.'" href="'.$address.'">languages supported by vBET Translator</a> 2.4.0';
$links[] = 'Translated to <a rel="novbseo" title="'.$title.'" href="'.$address.'">other languages supported by vBET Translator</a> 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Multilingual community</a> supported by vBET Translator 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Multilingual forum</a> supported by vBET Translator 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations</a> supported by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations supported</a> by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations delivered</a> by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations made</a> by vBET Translator 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations supported by</a> vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations delivered by</a> vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Languages translations made by</a> vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations</a> supported by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations supported</a> by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations delivered</a> by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations made</a> by vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations supported by</a> vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations delivered by</a> vBET 2.4.0';
$links[] = '<a rel="novbseo" title="'.$title.'" href="'.$address.'">Translations made by</a> vBET 2.4.0';
$index = abs(crc32($_SERVER['REQUEST_URI']) % sizeof($links));
return $links[$index];
}
function vbet_createURLForAddressSEO($language, $address) {
global $vbulletin;
$toReplace = null;
if ($language == $vbulletin->options['vbenterprisetranslator_forumlanguage']) {
$language = '';
}
if (strstr($address,'/'.$_REQUEST['language'].'/')) {
$toReplace = '/'.$_REQUEST['language'];
}
if ($language=='') {
if ($toReplace) {
return str_replace($toReplace, '', $address);
}
if ($address) {
return $address;
}
return '/';
}
if (!$address) {
$address = '/';
}
if ($toReplace) {
return str_replace($toReplace, '/'.$language, $address) ;
}
return '/'.$language.$address;
}
function vbet_createURL($language) {
global $vbulletin;
$address = $_SERVER[$vbulletin->options['vbenterprisetranslator_linkstype']];
if (!$address) {
$address = $_SERVER['REQUEST_URI'];
}
if ($vbulletin->options['vbenterprisetranslator_forumdir'] && 0 !== strpos($address, $vbulletin->options['vbenterprisetranslator_forumdir'])) {
$address = $vbulletin->options['vbenterprisetranslator_forumdir'].$address;
}
return vbet_createURLForAddress($language, $address);
}
?>
